<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ojales', function (Blueprint $table) {
            $table->foreignId('proveedor_tintoreria_id')->nullable()->constrained('proveedors')->nullOnDelete();
        });
        
        Schema::table('prensillas', function (Blueprint $table) {
            $table->foreignId('proveedor_tintoreria_id')->nullable()->constrained('proveedors')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ojales', function (Blueprint $table) {
            $table->dropForeign(['proveedor_tintoreria_id']);
            $table->dropColumn('proveedor_tintoreria_id');
        });
        
        Schema::table('prensillas', function (Blueprint $table) {
            $table->dropForeign(['proveedor_tintoreria_id']);
            $table->dropColumn('proveedor_tintoreria_id');
        });
    }
};
